Bug 178671 - BMW website doesn't work in Fedora version of Firefox
BMW website doesn't work in Fedora version of Firefox
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
www.bmw.ca
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 00:27 EST by Kanwar Sandhu
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 08:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kanwar Sandhu 2006-01-23 00:27:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The Canadian BMW website doesn't work with the Fedora version of Firefox (well, the Linux version in general).

The site works with the Windows version, however.

Version-Release number of selected component (if applicable):
firefox-1.0.7-1.1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Start Firefox
2. Go to www.bmw.ca
3. Click on "Back to BMW website" under the "Ignore Warning" section.
  

Actual Results:  Site is completely toasted: does not render properly at all.

Expected Results:  Should render and look nearly identical to the website render by Firefox under Windows.

Additional info:

Not sure if this is a Fedora problem, or upstream (Mozilla) issue.
Comment 1 Andre Robatino 2006-01-23 00:58:42 EST
  I'm using Firefox 1.5 (not the Fedora version) and I get a message saying that
my browser isn't supported, and that I should download either IE or Firefox for
Windows, or Safari or Firefox for Mac OS.  What it really means is that the OS
isn't supported, but whoever coded the website is too clueless to know the
difference between an OS and a browser, so the message doesn't make sense.  For
a similar example of brain-dead website design, see www.gap.com.  So the problem
is almost certainly with the website, not with Firefox or Fedora.
Comment 2 Christian Iseli 2007-01-22 05:24:02 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Kanwar Sandhu 2007-01-22 12:36:02 EST
(In reply to comment #2)
> This report targets the FC3 or FC4 products, which have now been EOL'd.
> 
> Could you please check that it still applies to a current Fedora release, and
> either update the target product or close it ?

I'm now running FC6 with latest updates: the www.bmw.ca landing page still comes
up with the warning message.  However, clicking on the "Back to BMW website"
under the "Ignore Warning" section is okay - the website is now rendering
properly (mosttly).  I noticed one minor problem so far (text running into each
other).

I think the Flash upgrade made the biggest difference.

I think it's safe to close this ticket.

Note You need to log in before you can comment on or make changes to this bug.